Local security policy

The local security policy can be used to directly modify account and local policies, public key policies and IP security policies for your local computer.

  • Before proceeding, see Checklist: Securing your computers using Security Configuration Manager
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.

Other security policy tools include:

Security Configuration Manager Tool | Description
Security Templates | For defining a security policy in a template. These templates can be applied to Group Policy or to your local computer.
Security Configuration and Analysis | For configuring your computer with a security template or comparing your current computer settings to the settings defined in a security template.
Security Settings extension to Group Policy | For editing individual security settings on a domain, site, or organizational unit.
Secedit | For automating security configuration tasks.

For more information on the individual security settings, see Security settings descriptions.


How to...

  • Edit local security settings
  • Apply a security template to local policy
  • Assign user rights for your local computer
  • Reapply default security settings


Edit local security settings

Microsoft Windows graphic

To edit local security settings

  1. Open Local Security Settings.
  2. Do one of the following:
    • To edit Password Policy or Account Lockout Policy, in the console tree, click Account Policies.
    • To edit an Audit Policy, User Right Assignment, or Security Options, in the console tree, click Local Policies.
  3. In the console tree, click the folder that contains the policy you want to modify, and then, in the details pane, double-click the policy that you want to modify.
  4. Make the changes you want and click OK.
  5. To change other policies, repeat the three previous steps.

Notes

  • XOX
  • If you would like to edit the security settings for file system, registry, and system services on the local computer, you must first edit the changes in a security template and then configure the computer using Security Configuration and Analysis.

Related Topics


Assign user rights for your local computer

Microsoft Windows graphic

To assign user rights for your local computer

  1. Open Local Security Settings.
  2. In the console tree, click User Rights Assignment.

    Where?

    • Security Settings
    • Local Policies
    • User Rights Assignments
  3. In the details pane, double-click the user right you want to change.
  4. In UserRight Properties, click Add User or Group.
  5. Add the user or group and click OK.

Note

  • XOX

Related Topics


Concepts

  • Local security policy overview
  • Understanding local security policy
  • Security setting descriptions
  • Resources


Local security policy overview

A security policy is a combination of security settings that affect the security on a computer. You can use your local security policy to edit account policies and local policies on your local computer.

With the local security policy, you can control:

  • Who accesses your computer.
  • What resources users are authorized to use on your computer.
  • Whether or not a user or group's actions are recorded in the event log.

How policy is applied to a computer that is joined to a domain

If your local computer is joined to a domain, you are subject to obtaining security policy from the domain's policy or from the policy of any organizational unit that you are a member of. If you are getting policy from more than one source, then any conflicts are resolved in this order of precedence, from highest to lowest:

  • Organizational unit policy
  • Domain policy
  • Site policy
  • Local computer policy

When you modify the security settings on your local computer using the local security policy, then you are directly modifying the settings on your computer. Therefore, the settings take effect immediately, but this may only be temporary. The settings will actually remain in effect on your local computer until the next refresh of Group Policy security settings, when the security settings that are received from Group Policy will override your local settings wherever there are conflicts. XOX

For more information, see Local security policy.


Understanding local security policy

  • Account and local policies
  • Local computer security for file system, registry, system services
  • User rights
  • Privileges
  • Logon rights


Local computer security for file system, registry, system services

In order to edit security settings on the file system, registry, or system services for the local computer, you must:

  1. Create or edit a security template. For more information, see To define a security template.
  2. Apply it to the local computer using Security Configuration and Analysis. For more information, see To configure local computer security

For more information, see Security settings for file system, registry, system services.